# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util.httputil
Class ParamMap

    java.lang.Object
      com.google.gdata.util.httputil.ParamMap

Deprecated. Use the general `Multimap` interface to represent name-value pairs. If order of insertion or support of duplicate name-value pairs is required, use `LinkedListMultimap`. For the particular task of parsing and storing URI parameters, consider `UriParameterMap`, which is also the type returned by `com.google.gdata.util.common.net.UriBuilder` instances for URI query parameters. If you got here because you use `FormUrlDecoder` or `CgiParams`, then see the deprecation comments in those classes.

    @Deprecated
    public final class ParamMap

extends java.lang.Object

Utility data structure for maintaining URL/CGI params.

Constructor Summary
`ParamMap()` Deprecated.

Method Summary
`void` `append(java.lang.String name, java.lang.String value)` Deprecated. use `Multimap.put(name, value)`
`boolean` `containsKey(java.lang.String name)` Deprecated. Currently used only by unit tests.
`java.lang.String[]` `get(java.lang.String name)` Deprecated. Use `Multimap.get(name)` and convert to an array only if you absolutely have to.
`void` `put(java.lang.String name, java.lang.String[] values)` Deprecated. Use `Multimap.putAll(name, collection)`, first converting an array to a list with `Arrays.asList(values)` if the collection is not already available.
`java.util.Map<java.lang.String,java.lang.String[]>` `toMap()` Deprecated. Use `Multimap.asMap()` to get a (String name) -> (Collection values) mapping and convert to an array only if you absolutely have to. Or, use the multimap directly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamMap

    public ParamMap()

  Deprecated.

Method Detail

### get

    @Deprecated
    public java.lang.String[] get(java.lang.String name)

  Deprecated. Use `Multimap.get(name)` and convert to an array only if you absolutely have to.

  Get list of values associated with name

### containsKey

    public boolean containsKey(java.lang.String name)

  Deprecated.
  Currently used only by unit tests.

### append

    @Deprecated
    public void append(java.lang.String name,
                                  java.lang.String value)

  Deprecated. use `Multimap.put(name, value)`

  Add a new value for name

### put

    @Deprecated
    public void put(java.lang.String name,
                               java.lang.String[] values)

  Deprecated. Use `Multimap.putAll(name, collection)`, first converting an array to a list with `Arrays.asList(values)` if the collection is not already available.

  Set values for name

### toMap

    @Deprecated
    public java.util.Map<java.lang.String,java.lang.String[]> toMap()

  Deprecated. Use `Multimap.asMap()` to get a (String name) -> (Collection values) mapping and convert to an array only if you absolutely have to. Or, use the multimap directly.

  Returns a Map containing (String name) -> (String[] values) mappings. Runs in O(number of mappings).